matrix:
  platform: ["debian10", "macos", "ubuntu2004", "windows"]
  bazel: ["7.x", "8.x", "9.x"]
tasks:
  verify_targets:
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    build_targets:
    - '@opentelemetry-cpp//api'
